#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private DeltaScalper[] cacheDeltaScalper;

		
		public DeltaScalper DeltaScalper(bool checkMinMax)
		{
			return DeltaScalper(Input, checkMinMax);
		}


		
		public DeltaScalper DeltaScalper(ISeries<double> input, bool checkMinMax)
		{
			if (cacheDeltaScalper != null)
				for (int idx = 0; idx < cacheDeltaScalper.Length; idx++)
					if (cacheDeltaScalper[idx].CheckMinMax == checkMinMax && cacheDeltaScalper[idx].EqualsInput(input))
						return cacheDeltaScalper[idx];
			return CacheIndicator<DeltaScalper>(new DeltaScalper(){ CheckMinMax = checkMinMax }, input, ref cacheDeltaScalper);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.DeltaScalper DeltaScalper(bool checkMinMax)
		{
			return indicator.DeltaScalper(Input, checkMinMax);
		}


		
		public Indicators.DeltaScalper DeltaScalper(ISeries<double> input , bool checkMinMax)
		{
			return indicator.DeltaScalper(input, checkMinMax);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.DeltaScalper DeltaScalper(bool checkMinMax)
		{
			return indicator.DeltaScalper(Input, checkMinMax);
		}


		
		public Indicators.DeltaScalper DeltaScalper(ISeries<double> input , bool checkMinMax)
		{
			return indicator.DeltaScalper(input, checkMinMax);
		}

	}
}

#endregion
